Subject: Re: apr -> db4?
To: None <>
From: Eric Gillespie <>
List: tech-pkg
Date: 12/06/2003 20:00:02
Todd Vierling <> writes:

> Could this be made an option rather than unconditional?  I
> definitely don't want db4 on my system, for instance, and the
> db185 in NetBSD's libc is perfectly sufficient (there's even an
> Apache config option for it).

I don't think so, but if someone knows a way to do it i will make
the change.

The issue is that Subversion (devel/subversion) wants DB 4 and
wants apr to have it, too.  Previously apr was linking to DB 4 on
my systems automatically, but that stopped working with the last
update, IIRC.

If we make it optional, anyone who installs apr without DB 4 and
later wants to install Subversion will have to reinstall apr.

Eric Gillespie <*>